Логотип сайта поддержки пользователей САПРО сайте поддержки пользователей САПР Translate to:

Различные команды, связанные с вкладкой Display в диалоговом окне Options

Назад к списку функций
;;; DisplayProperties.LSP
;;;
;;; Проверено на AutoCAD 2000

(vl-load-com)

; Получить цвет фона пространства модели
(defun getMoBgColor()
  (ole_color 
    (vla-get-GraphicsWinModelBackgrndColor
      (vla-get-display (vla-get-preferences (vlax-get-acad-object)))))
)

; Получить цвет фона пространства листа
(defun getLaBgColor()
  (ole_color 
    (vla-get-GraphicsWinLayoutBackgrndColor
      (vla-get-display (vla-get-preferences (vlax-get-acad-object)))))
)

; Сменить цвет фона пространства модели
(defun putMoBgColor(bgc)
  (vla-put-GraphicsWinModelBackgrndColor
    (vla-get-display (vla-get-preferences (vlax-get-acad-object)))
    bgc
  )
)

; Сменить цвет фона пространства листа
(defun putLaBgColor(bgc)
  (vla-put-GraphicsWinLayoutBackgrndColor
    (vla-get-display (vla-get-preferences (vlax-get-acad-object)))
    bgc
  )
)

(defun ole_color(olec)
  (vlax-variant-value
    (vlax-variant-change-type olec vlax-vbDouble)
  )
)

; Получить диалоговое окно Plot Setup при создании нового листа. 
(defun getLayoutShowPlotSetup()
  (vla-get-LayoutShowPlotSetup
    (vla-get-display (vla-get-preferences (vlax-get-acad-object))))
)

; Отобразить диалоговое окно Plot Setup при создании нового листа. 
(defun putLayoutShowPlotSetup(state)
  (vla-put-LayoutShowPlotSetup
    (vla-get-display (vla-get-preferences (vlax-get-acad-object))) state)
)

; Переключить состояние отображения диалогового окна Plot Setup при создании нового листа
(defun toggleLayoutShowPlotSetup()
  (if (= (getLayoutShowPlotSetup) :vlax-true)
    (putLayoutShowPlotSetup :vlax-false)
    (putLayoutShowPlotSetup :vlax-true)
  )
)



Copyright © Сайт поддержки пользователей САПР by Victor Tkachenko